Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class Address

    java.lang.Object
      org.apache.sandesha2.wsrm.Address

All Implemented Interfaces:
  IOMRMElement

public class Address
extends java.lang.Object
implements IOMRMElement

Represents an Address element, that is contained within the MakeConnection message.

Constructor Summary
`Address(java.lang.String rmNamespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement element)`
`java.lang.String` | `getAddress()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setAddress(java.lang.String address)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Address

    public Address(java.lang.String rmNamespaceValue)

Method Detail

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement element)
                                   throws org.apache.axiom.om.OMException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.